<?php
namespace Teknisa\CRM\Factory;

use Doctrine\ORM\EntityManager;

class GerParcnegocioInfoFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function update($row) {
        
        $params = array(
            "DTINIRELACIONA"        =>      $row["DTINIRELACIONA"],
            "CDINTEGRACAO"          =>      $row["CDINTEGRACAO"],
            "NRPONTUACAO"           =>      $row["NRPONTUACAO"],
            "NMPONTOATENDIMENTO"    =>      $row["NMPONTOATENDIMENTO"],
            "NMRESPGERAL"           =>      $row["NMRESPGERAL"],
            "NRORG"                 =>      $row["NRORG"],
            "NRPARCNEGOCIO"         =>      $row["NRPARCNEGOCIO"],
            "NRMODORECEBINFO"       =>      $row["NRMODORECEBINFO"]
        );
        
        $query =
            "UPDATE
                GER_PARCNEGOCIOINFO
            SET
                DTINIRELACIONA      =   :DTINIRELACIONA,
                CDINTEGRACAO        =   :CDINTEGRACAO,
                NRPONTUACAO         =   :NRPONTUACAO,
                NMPONTOATENDIMENTO  =   :NMPONTOATENDIMENTO,
                NMRESPGERAL         =   :NMRESPGERAL,
                NRMODORECEBINFO     =   :NRMODORECEBINFO
            WHERE
                NRORG           =   :NRORG
                    AND
                NRPARCNEGOCIO   =   :NRPARCNEGOCIO";
        
        $std = $this->connection->prepare($query);
        $std->execute($params);
    }
}