/*global $*/
var textNativeController = function($scope, templateManager, $element) {

	this.setCurrentRow = function(field){
        event.stopPropagation();     
	    var target = $(event.target);
	    var currentInput;
	    var currentRow = field.widget.currentRow;
	    var name = field.name;
	    var select;
	    
	    if(target.is('li')){
	        select = $('#'+name+'_OPTION');
            select.siblings('.new-select').find('.option').each(function(){
	           $(this).removeData('display');
	        });
	        currentInput = '_OPTION';
	        currentRow[name+currentInput] = currentRow[name];
	        currentRow[name] = currentRow[name+'_TEXT'] || '';
	   }else{
	        currentInput = '_TEXT';
	        currentRow[name+currentInput] = currentRow[name];
	        select = $('#'+name+'_OPTION');
	        var value = currentRow[name+'_OPTION'] || field.defaultValue || select[0].options[0].value;
	        var currentOption = this.__getSelectedOption(value, field);
	        select.siblings('.new-select').find('.option').each(function(){
	           $(this).data('display', currentOption || ' '); 
	        });
	        setTimeout(function(){
	           this.__selectOptionCSSClasses(value, field);
	           select.siblings('.new-select').find('.option').each(function(){
    	           $(this).removeData('display');
    	        });
	        }.bind(this),4);
	    }
	};
	
	this.__getSelectedOption = function(value, field){
	    var options = field.dataSource.data;
	    var currentOption;
	    options.forEach(function(option, index){
	        if(option[field.valueField] == value){
	            currentOption = option[field.descriptionField];
	        }
	        

	    });
	    return currentOption;
	};
	
	this.__selectOptionCSSClasses = function(value, field, select){
	    $('.new-select').find('.selected').removeClass('selected');
		var options = field.dataSource.data;
	    options.forEach(function(option, index){
	        if(option[field.valueField] == value){
	            $('.new-select').find('.option').eq(index).addClass('selected');
	        }
	    });
	};
	
	this.calcSize = function(field){
	    var text   = $('.text-of-text-native');
	    var native = $('.native-of-text-native');
	    var sizeNative;
	    var sizeText;
	    
	    if(field.sizeNative){
	        sizeNative = field.sizeNative.replace(/[^0-9]/g, '');
	        sizeText   = 100 - sizeNative;
	    }else if(field.sizeText){
	        sizeText   = field.sizeText.replace(/[^0-9]/g, '');
	        sizeNative = 100 - sizeText;
	    }
	    
	    if(sizeNative && sizeText){
	        text.css({
	            width:sizeText+'%',
	        });
	        native.css({
	            width:sizeNative+'%',
	        });
	    }
	};
};