<?php
namespace Teknisa\CRM\Factory;

use Doctrine\ORM\EntityManager;

class WizardProspectFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection       = $entityManager->getConnection();
    }
    
    public function executeQuery($parameters, $mode){
        try{
            $std = $this->connection->prepare($parameters['QUERY']);
            $std->execute();
            
            if($mode === 'fecth'){
                $return = $std->fetchAll();  
            if(empty($return)){
                return array(null);
            }else{
                return $return;
            }
            }else{
                return array(true);  
            }
        }catch(\Exception $e){
            throw $e;
        };
    }
}
    